%define oname   rack

Name:       ruby-%{oname}
Version:    2.2.3
Release:    %mkrel 1
Summary:    A modular Ruby webserver interface
Group:      Development/Ruby
License:    MIT
URL:        http://rack.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Rack provides minimal, modular and adaptable interface for developing
web applications in Ruby. By wrapping HTTP requests and responses in
the simplest way possible, it unifies and distills the API for web
servers, web frameworks, and software in between (the so-called
middleware) into a single method call.
Also see http://rack.rubyforge.org.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}
BuildArch:  noarch

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

rm -rf %{buildroot}%{gem_instdir}/test

%files
%{_bindir}/rackup
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc README.rdoc



%changelog
* Tue Jul 14 2020 pterjan <pterjan> 2.2.3-1.mga8
+ Revision: 1606167
- 2.2.3 (CVE-2020-8184)

* Sat Mar 28 2020 pterjan <pterjan> 2.2.2-1.mga8
+ Revision: 1561627
- Update to 2.2.2

* Fri Feb 14 2020 umeabot <umeabot> 2.0.6-2.mga8
+ Revision: 1520153
- Mageia 8 Mass Rebuild

* Wed Nov 07 2018 pterjan <pterjan> 2.0.6-1.mga7
+ Revision: 1328765
- Do not ship the tests, easier than patching them for invalid shebang :)
- Update to 2.0.6

* Fri Sep 21 2018 umeabot <umeabot> 2.0.5-2.mga7
+ Revision: 1291200
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 pterjan <pterjan> 2.0.5-1.mga7
+ Revision: 1221891
- Update to 2.0.5

* Mon Apr 02 2018 pterjan <pterjan> 2.0.4-1.mga7
+ Revision: 1214690
- Update to 2.0.4

* Thu Oct 27 2016 pterjan <pterjan> 1.6.4-3.mga6
+ Revision: 1063758
- Use the gem instead of the tar.gz
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Nov 11 2015 spuhler <spuhler> 1.6.4-1.mga6
+ Revision: 902518
- upgrade to 1.6.4
- needed for pcs
+ sander85 <sander85>
- Dropped due to unfixed security issue

* Wed Oct 15 2014 umeabot <umeabot> 1.5.2-7.mga5
+ Revision: 744519
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.2-6.mga5
+ Revision: 688913
- Mageia 5 Mass Rebuild

* Sat Dec 28 2013 pterjan <pterjan> 1.5.2-5.mga4
+ Revision: 561551
- Fix gem macros

* Sat Oct 19 2013 umeabot <umeabot> 1.5.2-4.mga4
+ Revision: 535649
- Mageia 4 Mass Rebuild

* Fri Sep 20 2013 pterjan <pterjan> 1.5.2-3.mga4
+ Revision: 482286
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 1.5.2-2.mga4
+ Revision: 479117
- Fix file list
- Use gem_setup

* Thu Jun 27 2013 fwang <fwang> 1.5.2-1.mga4
+ Revision: 447443
- new version 1.5.2

* Tue Feb 12 2013 fwang <fwang> 1.4.5-1.mga3
+ Revision: 398090
- new version 1.4.5

* Fri Feb 08 2013 umeabot <umeabot> 1.4.1-4.mga3
+ Revision: 396303
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.4.1-3.mga3
+ Revision: 381287
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 01 2012 fwang <fwang> 1.4.1-2.mga3
+ Revision: 312254
- rebuild for new ruby

* Thu Jun 07 2012 solbu <solbu> 1.4.1-1.mga3
+ Revision: 256756
- New version
- Spec cleanup

* Tue Jun 21 2011 dams <dams> 1.1.2-1.mga2
+ Revision: 111225
- update to 1.1.2

* Wed Jan 26 2011 shikamaru <shikamaru> 1.1.0-5.mga1
+ Revision: 39685
- rebuild for new rubygems.rb

* Fri Jan 21 2011 shikamaru <shikamaru> 1.1.0-4.mga1
+ Revision: 30158
- imported package ruby-rack

